Skip to main content
GET
/
stakers
Retrieve all stakers
curl --request GET \
  --url https://api.eigenexplorer.com/stakers \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/stakers"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/stakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "address": "0x0000006c21964af0d420af8992851a30fa13a68b",
      "operatorAddress": "0x71c6f7ed8c2d4925d0baf16f6a85bb1736d412eb",
      "createdAtBlock": "19631203",
      "updatedAtBlock": "19631203",
      "createdAt": "2024-04-11T08:31:11.000Z",
      "updatedAt": "2024-04-11T08:31:11.000Z",
      "shares": [
        {
          "strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564a",
          "shares": "40000000000000000"
        }
      ],
      "tvl": {
        "tvl": 1000000,
        "tvlBeaconChain": 1000000,
        "tvlWETH": 1000000,
        "tvlRestaking": 1000000,
        "tvlStrategies": {
          "Eigen": 1000000,
          "cbETH": 2000000
        },
        "tvlStrategiesEth": {
          "stETH": 1000000,
          "cbETH": 2000000
        }
      }
    }
  ],
  "meta": {
    "total": 30,
    "skip": 0,
    "take": 12
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

withTvl
enum<string>
default:false

Toggle whether the route should calculate the TVL from shares

Available options:
true,
false
Example:

"false"

updatedSince
string

Fetch stakers updated since this timestamp

Example:

"2024-04-11T08:31:11.000Z"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The list of staker records.

data
object[]
required
meta
object
required